/**
 * File: /src/components/Box/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 17-08-2022 07:55:25
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { ComponentProps } from "react";
import { View as RNView } from "react-native";
import { BoxProps } from "./props";
import { DripsyFC } from "../../dripsyHelper";
declare const ThemedView: React.ComponentType<import("dripsy").StyledProps<"variants"> & ((import("react-native").ViewProps & React.RefAttributes<React.Component<import("react-native").ViewProps, any, any>>) | (import("react-native").ViewProps & {
    children?: React.ReactNode;
}))>;
declare const ThemedPressable: React.ComponentType<import("dripsy").StyledProps<"variants"> & ((Pick<import("react-native").PressableProps & React.RefAttributes<RNView>, "key" | keyof import("react-native").PressableProps> & React.RefAttributes<React.Component<import("react-native").PressableProps & React.RefAttributes<RNView>, any, any>>) | (import("react-native").PressableProps & React.RefAttributes<RNView> & {
    children?: React.ReactNode;
}))>;
export declare type ThemedViewProps = ComponentProps<typeof ThemedView>;
export declare type ThemedPressableProps = ComponentProps<typeof ThemedPressable>;
declare const Box: DripsyFC<BoxProps>;
export type { BoxProps };
export default Box;
