(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@risserlabs/auto-contrast", "dripsy", "../Text", "../../dripsyHelper"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@risserlabs/auto-contrast"), require("dripsy"), require("../Text"), require("../../dripsyHelper"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.autoContrast, global.dripsy, global.Text, global.dripsyHelper);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _autoContrast, _dripsy, _Text, _dripsyHelper) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.styles = _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _Text = _interopRequireDefault(_Text);

  /**
   * File: /src/components/Pressable/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Pressable = props => {
    const sx = {
      display: props.hidden ? undefined : "inline-block",
      ...styles.pressable,
      ...props.sx
    };
    const children = (0, _dripsyHelper.isText)(props.children) ? /*#__PURE__*/_react.default.createElement(_Text.default, null, props.children) : props.children;
    return /*#__PURE__*/_react.default.createElement(_dripsy.Pressable, (0, _extends2.default)({}, props, {
      sx: sx
    }), /*#__PURE__*/_react.default.createElement(_autoContrast.BackgroundColorProvider, {
      sx: sx
    }, children));
  };

  Pressable.defaultProps = {
    children: null,
    sx: {}
  };
  const styles = {
    pressable: {
      // appearance: 'none',
      bg: "primary",
      border: 0,
      borderRadius: 4,
      color: "white",
      fontSize: "inherit",
      lineHeight: "inherit",
      px: 3,
      py: 2 // textAlign: 'center',
      // textDecoration: 'none'

    }
  };
  _exports.styles = styles;
  var _default = Pressable;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map