(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native", "../../hooks/useThemeLookup"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native"), require("../../hooks/useThemeLookup"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNative, global.useThemeLookup);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNative, _useThemeLookup) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _useThemeLookup = _interopRequireDefault(_useThemeLookup);

  /**
   * File: /src/components/Switch/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 30-06-2022 07:49:47
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  //export interface SwitchProps extends RNSwitchProps {
  // ios_backgroundColor?: string;
  //thumbColor?: string;
  //trackColor?: { false?: string; true?: string };}
  const Switch = props => {
    var _props$trackColor, _props$trackColor2;

    const themeLookup = (0, _useThemeLookup.default)();
    return /*#__PURE__*/_react.default.createElement(_reactNative.Switch, (0, _extends2.default)({}, props, {
      ios_backgroundColor: themeLookup("color", props.ios_backgroundColor),
      thumbColor: themeLookup("color", props.thumbColor),
      trackColor: {
        false: themeLookup("color", (_props$trackColor = props.trackColor) === null || _props$trackColor === void 0 ? void 0 : _props$trackColor.false),
        true: themeLookup("color", (_props$trackColor2 = props.trackColor) === null || _props$trackColor2 === void 0 ? void 0 : _props$trackColor2.true)
      }
    }));
  };

  Switch.defaultProps = {};
  Switch.defaultSx = {
    display: "flex",
    height: "5px",
    margin: 0,
    marginRight: "20px",
    padding: 0,
    bg: "gray",
    overflow: "hidden",
    color: "primary",
    borderRadius: 9999,
    border: "none"
  };
  var _default = Switch;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map