(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.dripsy);
    global.dripsyHelper = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _dripsy) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.createThemedComponent = createThemedComponent;
  _exports.isText = isText;
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/dripsyHelper.tsx
   * Project: @native-theme-ui/core
   * File Created: 14-06-2022 07:52:25
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  function createThemedComponent(Component, options) {
    const WrappedComponent = props => {
      return /*#__PURE__*/_react.default.createElement(Component, props);
    };

    return (0, _dripsy.createThemedComponent)(WrappedComponent, { ...options
    });
  }

  function isText(children) {
    if (Array.isArray(children)) {
      return children.length > 1 && typeof children[0] === "string" && "_owner" in children[1] && "_store" in children[1] && "key" in children[1] && "props" in children[1] && "ref" in children[1] && "type" in children[1];
    }

    return typeof children === "string";
  }
});
//# sourceMappingURL=dripsyHelper.js.map